SelectionImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface SelectionImplementor<X>

All Superinterfaces:
  Selection<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, ExpressionImplementor<T>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, PathImplementor<X>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbsFunction, AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, AbstractPredicateImpl, AbstractSimplePredicate, AggregationFunction, AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST, AggregationFunction.LEAST, AggregationFunction.MAX, AggregationFunction.MIN, AggregationFunction.SUM, BasicFunctionExpression, BetweenPredicate, BinaryArithmeticOperation, BooleanAssertionPredicate, BooleanExpressionPredicate, BooleanStaticAssertionPredicate, CastFunction, CoalesceExpression, CollectionAttributeJoin, ComparisonPredicate, CompoundPredicate, CompoundSelectionImpl, ConcatExpression, CriteriaSubqueryImpl, CurrentDateFunction, CurrentTimeFunction, CurrentTimestampFunction, EntityTypeExpression, ExistsPredicate, ExplicitTruthValueCheck, ExpressionImpl, InPredicate, IsEmptyPredicate, LengthFunction, LikePredicate, ListAttributeJoin, ListIndexExpression, LiteralExpression, LocateFunction, LowerFunction, MapAttributeJoin, MapEntryExpression, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, MemberOfPredicate, NullifExpression, NullLiteralExpression, NullnessPredicate, ParameterExpressionImpl, ParameterizedFunctionExpression, PathTypeExpression, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SearchedCaseExpression, SelectionImpl, SetAttributeJoin, SimpleCaseExpression, SingularAttributeJoin, SingularAttributePath, SizeOfCollectionExpression, SqrtFunction, SubqueryComparisonModifierExpression, SubstringFunction, TrimFunction, UnaryArithmeticOperation, UpperFunction

    public interface SelectionImplementor<X>

extends TupleElementImplementor<X>, Selection<X>

TODO : javadoc

Method Summary
`List<ValueHandlerFactory.ValueHandler>` | `getValueHandlers()`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getValueHandlers

    List<ValueHandlerFactory.ValueHandler> getValueHandlers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.